java.lang

## Class System

- java.lang.Object
- - java.lang.System

-     public class System
      extends Object

  Poor man's re-implementation of most important System methods.
  Author:
    Jaroslav Tulach

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `System.Logger`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PrintStream` | `err`
    `static InputStream` | `in`
    `static PrintStream` | `out`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `arraycopy(Object value, int srcBegin, Object dst, int dstBegin, int count)`
    `static long` | `currentTimeMillis()`
    `static void` | `exit(int exitCode)`
    `static Properties` | `getProperties()`
    `static String` | `getProperty(String name)`
    `static String` | `getProperty(String key, String def)`
    `static int` | `identityHashCode(Object obj)`
    `static String` | `lineSeparator()` Returns the system-dependent line separator string.
    `static long` | `nanoTime()`
    `static void` | `setErr(PrintStream err)`
    `static void` | `setIn(InputStream in)`
    `static void` | `setOut(PrintStream out)`
    `static void` | `setProperties(Properties p)`
    `static String` | `setProperty(String key, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### in

          public static final InputStream in

    - #### out

          public static final PrintStream out

    - #### err

          public static final PrintStream err

  - ### Method Detail

    - #### arraycopy

          public static void arraycopy(Object value,
                                       int srcBegin,
                                       Object dst,
                                       int dstBegin,
                                       int count)

    - #### currentTimeMillis

          public static long currentTimeMillis()

    - #### nanoTime

          public static long nanoTime()

    - #### identityHashCode

          public static int identityHashCode(Object obj)

    - #### getProperty

          public static String getProperty(String name)

    - #### getProperty

          public static String getProperty(String key,
                                           String def)

    - #### getProperties

          public static Properties getProperties()

    - #### setProperties

          public static void setProperties(Properties p)

    - #### setProperty

          public static String setProperty(String key,
                                           String value)

    - #### lineSeparator

          public static String lineSeparator()

      Returns the system-dependent line separator string. It always returns the same value - the initial value of the system property `line.separator`.

      On UNIX systems, it returns `"\n"`; on Microsoft Windows systems it returns `"\r\n"`.

    - #### exit

          public static void exit(int exitCode)

    - #### setOut

          public static void setOut(PrintStream out)

    - #### setIn

          public static void setIn(InputStream in)

    - #### setErr

          public static void setErr(PrintStream err)

Copyright © 2025 API Design. All Rights Reserved.